Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class AxisDataLocatorImpl

    java.lang.Object
      org.apache.axis2.dataretrieval.AxisDataLocatorImpl

All Implemented Interfaces:
  AxisDataLocator

    public class AxisDataLocatorImpl

extends java.lang.Object
implements AxisDataLocator

The Default Axis2 Data Locator implementation

Constructor Summary
`AxisDataLocatorImpl(AxisService in_axisService)` Constructor

Method Summary
`Data[]` | `getData(DataRetrievalRequest request, MessageContext msgContext)` Retrieves and returns data based on the specified request.
`void` | `loadServiceData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisDataLocatorImpl

    public AxisDataLocatorImpl(AxisService in_axisService)
                        throws DataRetrievalException

  Constructor

  Throws:
    `DataRetrievalException`

Method Detail

### getData

    public Data[] getData(DataRetrievalRequest request,
                          MessageContext msgContext)
                   throws DataRetrievalException

  Retrieves and returns data based on the specified request.

  Specified by:
    `getData` in interface `AxisDataLocator`
  Parameters:
    `request` - The `DataRetrievalRequest` allow to specify parameters about the request, and additional information to process the request.
    `msgContext` - The `MessageContext` from the original request.
  Returns:
    `Data`[] for the request.
  Throws:
    `DataRetrievalException`

### loadServiceData

    public void loadServiceData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.